<?php
// +----------------------------------------------------------------------
// | yershop网店管理系统
// +----------------------------------------------------------------------
// | Copyright (c) 2018 http://www.yershop.com All rights reserved.
// +----------------------------------------------------------------------
// | 版权申明：yershop网店管理系统不是一个自由软件，是贝云网络官方推出的商业源码，严禁在未经许可的情况下
// | 拷贝、复制、传播、使用yershop网店管理系统的任意代码，如有违反，请立即删除，否则您将面临承担相应
// | 法律责任的风险。如果需要取得官方授权，请联系官方http://www.yershop.com
// +----------------------------------------------------------------------
namespace app\admin\controller;
use think\Controller;
use think\Db;
/**
 * 后台银行卡控制器
 */
class Bank extends Home{
     /* 银行卡查询首页 */
	public function index(){     
       if($_POST){
			foreach ($_POST as $key=>$value){
				if($value){
					$map[]  = [$key,'like', '%'.$value.'%'];
				}
			}
        }
		$map=isset($map)?$map:'';
        $res=getLists('Bank',$map,10,'id desc',"");
	    $this->assign('res', $res);
		$this->meta_title="银行卡管理";
		$this->assign('meta_title', $this->meta_title);
	    return $this->fetch("bank/index"); 
	}


    /* 编辑银行卡 */
	public function edit($id){   
	    if($_POST){
		   $Bank = new \app\admin\model\Bank;
           $res=$Bank->allowField(true)->validate(true)->save($_POST,['id' => $_POST['id']]);
	       if($res){
			   addUserLog("edit_bank",session_uid());
		      $this->success("更新成功！",cookie("__forward__"));
		   }else{
			  $error=$Bank->getError()?$Bank->getError():"更新失败！";
			  $this->error($error);
		   } 
	   }
	   else{
		 $map['id']=$id;
		 $info=db("Bank")->where($map)->find();
	     $this->assign('info', $info);
		
		   cookie("__forward__",input('server.HTTP_REFERER'));
		 $this->meta_title="编辑银行卡";
		 $this->assign('meta_title', $this->meta_title);
	     return $this->fetch("bank/edit");
	   }
	}
	 /* 增加银行卡 */
	public function add($id=""){  
	   if($_POST){
		  $Bank = new \app\admin\model\Bank;
            // 过滤post数组中的非数据表字段数据
          $res=$Bank->validate(true)->allowField(true)->save($_POST);
	      if($res){
			  addUserLog("add_bank",session_uid());
		      $this->success("新增成功！",cookie("__forward__"));
		  }else{
			  $error=$Bank->getError()?$Bank->getError():"新增失败！";
			  $this->error($error);
		  } 
	 }
	  else{
		
		  $this->meta_title="新增银行卡";
		    cookie("__forward__",input('server.HTTP_REFERER'));
		  $this->assign('meta_title', $this->meta_title);
	      return $this->fetch("bank/edit");
	  }
	}
	  /* 切换状态 */
	public function change(){   
		 $map['id']=input("id");
	     if(input("status")){
			  $data["status"]=input("status");
		}else{
			   $data["status"]=0;
		}	
          
        $res=db("bank")->where($map)->update($data);  
		if($res){
		   $this->success("操作成功！");
		}else{
			 $this->success("操作失败！");
		}     
	}
	
	 /* 删除银行卡*/
	public function del(){   
	    $id=input("id");
	     $map[]=['id',"in",$id];
		if(!$map){
			 $this->error("未选择数据！");
		}
		
		$res=db("bank")->where($map)->delete();
		
		if($res){
		   addUserLog("del_bank",session_uid());
		   $this->success("删除成功！");
		}else{
	           $this->error("删除失败！");
		}
	}
	
}
